Bug 243692 - Wrong init script
Summary: Wrong init script
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rgmanager   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 243691
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 13:18 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 19:34:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-06-11 13:18:40 UTC
+++ This bug was initially created as a clone of Bug #243691 +++

Description of problem:
The rgmanager init script returns some incorrect error codes and there are
constructions in the script preventing the status command call. For example:
[ `id -u` = 0 ] || exit 0
[ "${NETWORKING}" = "yes" ] || exit 0
[ -f "$CFG_FILE" ] || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Lon Hohberger 2007-06-19 19:34:38 UTC
Fixed in upstream; next time feist pulls / rebuilds rgmanager for Fedora, this
will be fixed.


Note You need to log in before you can comment on or make changes to this bug.